import { URI } from "@codingame/monaco-vscode-api/vscode/vs/base/common/uri";
import { IInstantiationService } from "@codingame/monaco-vscode-api/vscode/vs/platform/instantiation/common/instantiation";
import { IEditorSerializer } from "@codingame/monaco-vscode-api/vscode/vs/workbench/common/editor";
import { MergeEditorInput } from "@codingame/monaco-vscode-8ccb7637-50ea-5359-97bf-00015d7fe567-common/vscode/vs/workbench/contrib/mergeEditor/browser/mergeEditorInput";
export declare class MergeEditorSerializer implements IEditorSerializer {
    canSerialize(): boolean;
    serialize(editor: MergeEditorInput): string;
    toJSON(editor: MergeEditorInput): MergeEditorInputJSON;
    deserialize(instantiationService: IInstantiationService, raw: string): MergeEditorInput | undefined;
}
interface MergeEditorInputJSON {
    base: URI;
    input1: {
        uri: URI;
        title?: string;
        detail?: string;
        description?: string;
    };
    input2: {
        uri: URI;
        title?: string;
        detail?: string;
        description?: string;
    };
    result: URI;
}
export {};
