import { IDisposable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/lifecycle";
import { IConfigurationService } from "@codingame/monaco-vscode-api/vscode/vs/platform/configuration/common/configuration.service";
import { IWorkbenchContribution } from "@codingame/monaco-vscode-api/vscode/vs/workbench/common/contributions";
import { ILayoutService } from "@codingame/monaco-vscode-api/vscode/vs/platform/layout/browser/layoutService.service";
export declare const minSize = 1;
export declare const maxSize = 20;
export declare class SashSettingsController implements IWorkbenchContribution, IDisposable {
    private readonly configurationService;
    private readonly layoutService;
    private readonly disposables;
    constructor(configurationService: IConfigurationService, layoutService: ILayoutService);
    private onDidChangeSize;
    private onDidChangeHoverDelay;
    dispose(): void;
}
