import { IActionViewItemProvider } from "@codingame/monaco-vscode-api/vscode/vs/base/browser/ui/actionbar/actionbar";
import { Event } from "@codingame/monaco-vscode-api/vscode/vs/base/common/event";
import { IDisposable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/lifecycle";
import { MenuId } from "@codingame/monaco-vscode-api/vscode/vs/platform/actions/common/actions";
import { IActionViewItemService } from "@codingame/monaco-vscode-api/vscode/vs/platform/actions/browser/actionViewItemService.service";
export declare class NullActionViewItemService implements IActionViewItemService {
    _serviceBrand: undefined;
    onDidChange: Event<MenuId>;
    register(menu: MenuId, commandId: string | MenuId, provider: IActionViewItemProvider, event?: Event<unknown>): IDisposable;
    lookUp(menu: MenuId, commandId: string | MenuId): IActionViewItemProvider | undefined;
}
export declare class ActionViewItemService implements IActionViewItemService {
    _serviceBrand: undefined;
    private readonly _providers;
    private readonly _onDidChange;
    readonly onDidChange: Event<MenuId>;
    dispose(): void;
    register(menu: MenuId, commandOrSubmenuId: string | MenuId, provider: IActionViewItemProvider, event?: Event<unknown>): IDisposable;
    lookUp(menu: MenuId, commandOrMenuId: string | MenuId): IActionViewItemProvider | undefined;
    private _makeKey;
}
