import { Disposable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/lifecycle";
import { IEditorService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/editor/common/editorService.service";
import { ILanguageStatusService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/languageStatus/common/languageStatusService.service";
import { IWorkbenchContribution } from "@codingame/monaco-vscode-api/vscode/vs/workbench/common/contributions";
import { Event } from "@codingame/monaco-vscode-api/vscode/vs/base/common/event";
export declare class LimitIndicatorContribution extends Disposable implements IWorkbenchContribution {
    constructor(editorService: IEditorService, languageStatusService: ILanguageStatusService);
}
export interface LimitInfo {
    readonly onDidChange: Event<void>;
    readonly computed: number;
    readonly limited: number | false;
}
